Subject: RE: [External] : Re: bug#56171: Request for marking DEF entry when using completing-read

From: [email-masked]
Date: Sat, 25 Jun 2022 09:21:58 +0200 (CEST)

Jun 24, 2022, 17:28 by [email-masked]:

>> Wouldn't one normally associate a default with
>> some sensible setting worth looking into most times?
>> Perhaps this could be a user setting.
>>
>
> I see.  So the use case is to be able to check what
> the default value is, so you can try to understand
> why it's considered particularly useful.
>

Correct

> For that, I'd think that `M-n' suffices, to see
> what the default value is (the first default value,
> if there are several).
>
> Again, the default value need not even be one of
> the choices (completion candidates), in the case of
> lax completion (e.g. `C-x b').  I'd think that the
> best way to find out what the default is would be
> `M-n'.
>
If not one of the choices, then there will be no indicator on any
entry in the collection.  

I think it usually takes some time to discover the `M-n' way.

> (Just one opinion, and I may still be missing something.)
>
It is just an observation.  Another way is to depend on the designer
describing typical use if attentive enough to include that information.

I think that the suggestion could make one's acquaintance with the package
speedier if there are suggestions on well designed settings.